Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.

Bug 1726938

Summary: [PATCH] Re-enable NetworkManager integration
Product: [Fedora] Fedora Reporter: Stefan Becker <chemobejk>
Component: pidginAssignee: Jaroslav Škarvada <jskarvad>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 30CC: igor.raits, itamar, jskarvad, stu, wtogami
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
URL: https://bitbucket.org/pidgin/main/commits/bfa20ee4084ff9bbc284feced8ef379c0842a698
Whiteboard:
Fixed In Version: pidgin-2.13.0-10.fc30 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-07-12 00:58:56 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
Add upstream patch and update spec file none

Description Stefan Becker 2019-07-04 06:37:01 UTC
There is an upstream patch to fix the build against NetworkManager >= 1.0.0 using libnm. The patch should be added to the Fedora package and the NetworkManager integration re-enabled for F29+ (and RHEL8?).

Comment 1 Stefan Becker 2019-07-04 06:46:28 UTC
Created attachment 1587293 [details]
Add upstream patch and update spec file

Build succeeds & NM integration functionality on F30.

Comment 2 Jaroslav Škarvada 2019-07-10 12:30:30 UTC
Thanks, applied.

Comment 3 Jaroslav Škarvada 2019-07-10 13:00:37 UTC
Applied to rawhide, for f30 I changed it a bit.

Comment 4 Fedora Update System 2019-07-10 13:26:09 UTC
FEDORA-2019-7c746c4303 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-7c746c4303

Comment 5 Fedora Update System 2019-07-11 00:50:38 UTC
pidgin-2.13.0-10.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-7c746c4303

Comment 6 Fedora Update System 2019-07-12 00:58:56 UTC
pidgin-2.13.0-10.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.